Bug 64270 - [PATCH] To enable RDISC server in rdisc.c
[PATCH] To enable RDISC server in rdisc.c
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: iputils (Show other bugs)
skipjack-beta2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-01 02:58 EDT by Dax Kelson
Modified: 2015-03-04 20:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-01 02:59:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PATH to enable/fix RDISC Server support in iputils/rdisc.c (1.18 KB, patch)
2002-05-01 02:59 EDT, Dax Kelson
no flags Details | Diff

  None (edit)
Description Dax Kelson 2002-05-01 02:58:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020408

Description of problem:
The rdisc binary in iputils is currently the "client only", although the source
has support for acting as the rdisc server as well.  RDISC is the router
discovery feature of ICMP, and is used by Solaris 2.6+ and other OSes.  I'm
supplying a patch to enable/fix the RDISC server support.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.n/a
	

Additional info:

The rdisc.c is a port of the Sun rdisc server.  The port was incomplete and only
the client worked.  This patch completes the port so the server works as well.

The man page discusses the server operation.

This patch will apply against the RHL 7.2 version of iputils/rdisc.c as well.
Comment 1 Dax Kelson 2002-05-01 02:59:45 EDT
Created attachment 56004 [details]
PATH to enable/fix RDISC Server support in iputils/rdisc.c
Comment 2 Phil Knirsch 2002-05-21 04:08:02 EDT
OK, patch looks sane and makes sense, included in latest rawhide version.

Thanks,

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.